Create Product Variant Image
Creates a Variant Image.
Only one image can be explicitly associated with a Variant. If the Variant already has an associated image, overwrites the existing Variant Image.
The image displays on the storefront when the Variant is selected.
Required Fields
- image_file: Form posts. Files larger than 1 MB are not accepted
- image_url: Any publicly available URL
Authentication
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
The ID of the Product to which the resource belongs. Product variant metafield endpoints that have the product_id in the request path are successful as long as the parameter is not empty. The product_id segment is there only for path consistency.
Headers
The MIME type of the response body.
Request
Response
image_url is returned for both image_file and image_url.